diff -crN ./gnome-games/gnect/src/main.h /gestconf/project/GNOME_ACL/GNOME/build/sh_build_GNOME/src/./gnome-games/gnect/src/main.h
*** ./gnome-games/gnect/src/main.h	Sun Apr 21 05:35:44 2002
--- /gestconf/project/GNOME_ACL/GNOME/build/sh_build_GNOME/src/./gnome-games/gnect/src/main.h	Tue Jul  8 17:48:45 2003
***************
*** 18,23 ****
--- 18,26 ----
  
  #define APPNAME                 "gnect"
  
+ /* On AIX, xlC does not handle var args macros (which is a C99 feature) */
+ #if defined(__STDC_VERSION__) && __STDC_VERSION__ >= 199901L
+ 
  #ifdef GNECT_DEBUG
  #define DEBUG_PRINT(level, args...)  if (debugging & level) g_printerr(APPNAME ": " args)
  #else
***************
*** 28,33 ****
--- 31,43 ----
  #define ERROR_PRINT(args...)    g_printerr(APPNAME ": error: " args)
  #define WARNING_PRINT(args...)  g_printerr(APPNAME ": warning: " args)
  
+ #else /* __STDC_VERSION__ >= 199901L */
+ 
+ static inline void DEBUG_PRINT (int level, ...) { }
+ static inline void ERROR_PRINT (const char* format, ...) { }
+ static inline void WARNING_PRINT (const char* format, ...) { }
+ 
+ #endif /* __STDC_VERSION__ >= 199901L */
  
  #define BASE_PIXMAP_DIR         GNECT_DATA_DIR "pixmaps" G_DIR_SEPARATOR_S
  #define PACKAGE_PIXMAP_DIR      BASE_PIXMAP_DIR APPNAME  G_DIR_SEPARATOR_S
diff -crN ./gnome-games/gnibbles/main.c /gestconf/project/GNOME_ACL/GNOME/build/sh_build_GNOME/src/./gnome-games/gnibbles/main.c
*** ./gnome-games/gnibbles/main.c	Thu Jan  9 16:52:14 2003
--- /gestconf/project/GNOME_ACL/GNOME/build/sh_build_GNOME/src/./gnome-games/gnibbles/main.c	Tue Jul  8 17:49:13 2003
***************
*** 179,185 ****
  
  static void quit_cb (GtkWidget *widget, gpointer data)
  {
! 	if (game_running () && end_game_box (1)) // 1 for quit
  		return;
  
  	gnibbles_destroy ();
--- 179,185 ----
  
  static void quit_cb (GtkWidget *widget, gpointer data)
  {
! 	if (game_running () && end_game_box (1)) /* 1 for quit */
  		return;
  
  	gnibbles_destroy ();
***************
*** 331,337 ****
  	*/
  
  	if (game_running ()) {
! 		if (!end_game_box (0)) { // 0 for new game
  			end_game_cb (widget, (gpointer) 0);
  			main_id = 0;
  		} else
--- 331,337 ----
  	*/
  
  	if (game_running ()) {
! 		if (!end_game_box (0)) { /* 0 for new game */
  			end_game_cb (widget, (gpointer) 0);
  			main_id = 0;
  		} else
***************
*** 416,422 ****
  
  static gint end_game_cb (GtkWidget *widget, gpointer data)
  {
! 	if ((gint) data == 2 && end_game_box (0)) // 0 for new game
  			return 0;
  
  	if (main_id) {
--- 416,422 ----
  
  static gint end_game_cb (GtkWidget *widget, gpointer data)
  {
! 	if ((gint) data == 2 && end_game_box (0)) /* 0 for new game */
  			return 0;
  
  	if (main_id) {
diff -crN ./gnome-games/gnome-stones/main.c /gestconf/project/GNOME_ACL/GNOME/build/sh_build_GNOME/src/./gnome-games/gnome-stones/main.c
*** ./gnome-games/gnome-stones/main.c	Thu Jan  9 16:52:16 2003
--- /gestconf/project/GNOME_ACL/GNOME/build/sh_build_GNOME/src/./gnome-games/gnome-stones/main.c	Tue Jul  8 17:49:42 2003
***************
*** 103,123 ****
     N_("Game to play"), N_("FILENAME")},
    {NULL, '\0', 0, NULL, 0}
  };
- 
- /****************************************************************************/
- /* The menus */
- static GnomeUIInfo game_menu[];
- static GnomeUIInfo help_menu[];
- static GnomeUIInfo settings_menu[];
- static GnomeUIInfo main_menu[];
- 
- 
  /****************************************************************************/
  
  static void
  curtain_start (GStonesCave *cave);
  
- 
  static void
  game_start_cb (GtkWidget *widget, gpointer data);
  
--- 103,113 ----
***************
*** 125,130 ****
--- 115,173 ----
  static void
  show_scores_dialog (gint pos);
  
+ static void
+ game_stop_cb (GtkWidget *widget, gpointer data);
+ 
+ static void
+ game_pause_cb (GtkWidget *widget, gpointer data);
+ 
+ static void
+ show_scores_cb (GtkWidget *widget, gpointer data);
+ 
+ static void
+ quit_cb (GtkWidget *widget, gpointer data);
+ 
+ static void
+ about_cb (GtkWidget *widget, gpointer data);
+ 
+ static void
+ preferences_cb (GtkWidget *widget, gpointer data);
+ 
+ 
+ /*****************************************************************************/
+ /* Menu definitions */
+ 
+ static GnomeUIInfo game_menu[]= {
+   GNOMEUIINFO_MENU_NEW_GAME_ITEM(game_start_cb, NULL),
+   GNOMEUIINFO_MENU_END_GAME_ITEM(game_stop_cb, NULL),
+   GNOMEUIINFO_SEPARATOR,
+   GNOMEUIINFO_MENU_PAUSE_GAME_ITEM (game_pause_cb, NULL),
+   GNOMEUIINFO_SEPARATOR,
+   GNOMEUIINFO_MENU_SCORES_ITEM(show_scores_cb, NULL),
+   GNOMEUIINFO_SEPARATOR,
+   GNOMEUIINFO_MENU_QUIT_ITEM(quit_cb, NULL),
+   GNOMEUIINFO_END
+ };
+ 
+ static GnomeUIInfo help_menu[]= {
+   GNOMEUIINFO_HELP(APP_NAME),
+   GNOMEUIINFO_MENU_ABOUT_ITEM(about_cb, NULL),
+   GNOMEUIINFO_END
+ };
+ 
+ static GnomeUIInfo settings_menu[]= {
+   GNOMEUIINFO_MENU_PREFERENCES_ITEM(preferences_cb, NULL),
+   GNOMEUIINFO_END
+ };
+ 
+ static GnomeUIInfo main_menu[]= 
+ {
+   GNOMEUIINFO_MENU_GAME_TREE(game_menu),
+   GNOMEUIINFO_MENU_SETTINGS_TREE(settings_menu),
+   GNOMEUIINFO_MENU_HELP_TREE(help_menu),
+   GNOMEUIINFO_END
+ };
+ 
  
  /****************************************************************************/
  /* Image stuff  */
***************
*** 1083,1127 ****
    gtk_widget_show (about);
  }
  
- 
- 
- /*****************************************************************************/
- /* Menu definitions */
- 
- 
- static GnomeUIInfo game_menu[]= {
-   GNOMEUIINFO_MENU_NEW_GAME_ITEM(game_start_cb, NULL),
-   GNOMEUIINFO_MENU_END_GAME_ITEM(game_stop_cb, NULL),
-   GNOMEUIINFO_SEPARATOR,
-   GNOMEUIINFO_MENU_PAUSE_GAME_ITEM (game_pause_cb, NULL),
-   GNOMEUIINFO_SEPARATOR,
-   GNOMEUIINFO_MENU_SCORES_ITEM(show_scores_cb, NULL),
-   GNOMEUIINFO_SEPARATOR,
-   GNOMEUIINFO_MENU_QUIT_ITEM(quit_cb, NULL),
-   GNOMEUIINFO_END
- };
- 
- static GnomeUIInfo help_menu[]= {
-   GNOMEUIINFO_HELP(APP_NAME),
-   GNOMEUIINFO_MENU_ABOUT_ITEM(about_cb, NULL),
-   GNOMEUIINFO_END
- };
- 
- static GnomeUIInfo settings_menu[]= {
-   GNOMEUIINFO_MENU_PREFERENCES_ITEM(preferences_cb, NULL),
-   GNOMEUIINFO_END
- };
- 
- static GnomeUIInfo main_menu[]= 
- {
-   GNOMEUIINFO_MENU_GAME_TREE(game_menu),
-   GNOMEUIINFO_MENU_SETTINGS_TREE(settings_menu),
-   GNOMEUIINFO_MENU_HELP_TREE(help_menu),
-   GNOMEUIINFO_END
- };
- 
- 
- 
  /*****************************************************************************/
  /* Startup sequence.  */
  
--- 1126,1131 ----
diff -crN ./gnome-games/gnome-stones/object.c /gestconf/project/GNOME_ACL/GNOME/build/sh_build_GNOME/src/./gnome-games/gnome-stones/object.c
*** ./gnome-games/gnome-stones/object.c	Thu Oct 31 11:27:41 2002
--- /gestconf/project/GNOME_ACL/GNOME/build/sh_build_GNOME/src/./gnome-games/gnome-stones/object.c	Tue Jul  8 17:50:10 2003
***************
*** 29,34 ****
--- 29,36 ----
  #include <dirent.h>
  #include <string.h>
  
+ #define SOEXT ("." G_MODULE_SUFFIX)
+ #define SOEXT_LEN (strlen (SOEXT))
  
  
  /*****************************************************************************/
diff -crN ./gnome-games/gnometris/gnome-canvas-pimage.c /gestconf/project/GNOME_ACL/GNOME/build/sh_build_GNOME/src/./gnome-games/gnometris/gnome-canvas-pimage.c
*** ./gnome-games/gnometris/gnome-canvas-pimage.c	Sat May  4 18:43:54 2002
--- /gestconf/project/GNOME_ACL/GNOME/build/sh_build_GNOME/src/./gnome-games/gnometris/gnome-canvas-pimage.c	Tue Jul  8 17:52:30 2003
***************
*** 36,42 ****
  	ARG_X,
  	ARG_Y,
  	ARG_WIDTH,
! 	ARG_HEIGHT,
  };
  
  
--- 36,42 ----
  	ARG_X,
  	ARG_Y,
  	ARG_WIDTH,
! 	ARG_HEIGHT
  };
  
  
diff -crN ./gnome-games/gnotravex/gnotravex.c /gestconf/project/GNOME_ACL/GNOME/build/sh_build_GNOME/src/./gnome-games/gnotravex/gnotravex.c
*** ./gnome-games/gnotravex/gnotravex.c	Tue Mar 11 11:39:01 2003
--- /gestconf/project/GNOME_ACL/GNOME/build/sh_build_GNOME/src/./gnome-games/gnotravex/gnotravex.c	Tue Jul  8 17:52:56 2003
***************
*** 614,621 ****
  void redraw_left(){
    int x,y;
    GdkRegion *region;
!   GdkRectangle rect ={x:CORNER, y:CORNER, width:TILE_SIZE*SIZE,
! 		     height:TILE_SIZE*SIZE};
  
    region = gdk_region_rectangle(&rect);
  
--- 614,625 ----
  void redraw_left(){
    int x,y;
    GdkRegion *region;
!   GdkRectangle rect;
! 
!   rect.x = CORNER;
!   rect.y = CORNER;
!   rect.width = TILE_SIZE*SIZE;
!   rect.height = TILE_SIZE*SIZE;
  
    region = gdk_region_rectangle(&rect);
  
diff -crN ./gnome-games/gnotski/Makefile.am /gestconf/project/GNOME_ACL/GNOME/build/sh_build_GNOME/src/./gnome-games/gnotski/Makefile.am
*** ./gnome-games/gnotski/Makefile.am	Tue Jan  7 17:54:50 2003
--- /gestconf/project/GNOME_ACL/GNOME/build/sh_build_GNOME/src/./gnome-games/gnotski/Makefile.am	Tue Jul  8 17:53:29 2003
***************
*** 32,38 ****
  CLEANFILES = $(Games_DATA)
  
  install-data-local:
! 	-$(mkinstalldirs) $(DESTDIR)$(scoredir)
  	-chgrp games $(DESTDIR)$(bindir)/gnotski && chmod 2555 $(DESTDIR)$(bindir)/gnotski
  	-touch             $(DESTDIR)$(scoredir)/gnotski.1.scores
  	-chown games.games $(DESTDIR)$(scoredir)/gnotski.1.scores
--- 32,38 ----
  CLEANFILES = $(Games_DATA)
  
  install-data-local:
! 	-$(mkinstalldirs) $(scoredir)
  	-chgrp games $(DESTDIR)$(bindir)/gnotski && chmod 2555 $(DESTDIR)$(bindir)/gnotski
  	-touch             $(DESTDIR)$(scoredir)/gnotski.1.scores
  	-chown games.games $(DESTDIR)$(scoredir)/gnotski.1.scores
diff -crN ./gnome-games/gnotski/help/C/gnotski-C.omf /gestconf/project/GNOME_ACL/GNOME/build/sh_build_GNOME/src/./gnome-games/gnotski/help/C/gnotski-C.omf
*** ./gnome-games/gnotski/help/C/gnotski-C.omf	Thu Sep 12 02:08:05 2002
--- /gestconf/project/GNOME_ACL/GNOME/build/sh_build_GNOME/src/./gnome-games/gnotski/help/C/gnotski-C.omf	Tue Jul  8 17:53:54 2003
***************
*** 1,5 ****
  <?xml version="1.0" encoding="UTF-8" standalone="no"?>
! <!DOCTYPE omf PUBLIC "-//OMF/DTD Scrollkeeper OMF Variant V1.0//EN" 
  "http://scrollkeeper.sourceforge.net/dtds/scrollkeeper-omf-1.0/scrollkeeper-omf.dtd">
  <omf>
         <resource>
--- 1,5 ----
  <?xml version="1.0" encoding="UTF-8" standalone="no"?>
! <!DOCTYPE omf PUBLIC "-//OMF//DTD Scrollkeeper OMF Variant V1.0//EN" 
  "http://scrollkeeper.sourceforge.net/dtds/scrollkeeper-omf-1.0/scrollkeeper-omf.dtd">
  <omf>
         <resource>
diff -crN ./gnome-games/gtali/yahtzee.h /gestconf/project/GNOME_ACL/GNOME/build/sh_build_GNOME/src/./gnome-games/gtali/yahtzee.h
*** ./gnome-games/gtali/yahtzee.h	Sat Jun  9 05:30:02 2001
--- /gestconf/project/GNOME_ACL/GNOME/build/sh_build_GNOME/src/./gnome-games/gtali/yahtzee.h	Tue Jul  8 17:54:20 2003
***************
*** 17,23 ****
  #define  _(s) (s)
  #define N_(s) (s)
  #else
! #include <gnome.h>  /* What else can I use here ? */
  #endif
  
  #define COMPUTER_DELAY 1		/* sec */
--- 17,23 ----
  #define  _(s) (s)
  #define N_(s) (s)
  #else
! #include <bonobo/bonobo-i18n.h>
  #endif
  
  #define COMPUTER_DELAY 1		/* sec */
diff -crN ./gnome-games/mahjongg/gnome-canvas-pimage.c /gestconf/project/GNOME_ACL/GNOME/build/sh_build_GNOME/src/./gnome-games/mahjongg/gnome-canvas-pimage.c
*** ./gnome-games/mahjongg/gnome-canvas-pimage.c	Sun Jan 20 18:06:19 2002
--- /gestconf/project/GNOME_ACL/GNOME/build/sh_build_GNOME/src/./gnome-games/mahjongg/gnome-canvas-pimage.c	Tue Jul  8 17:55:27 2003
***************
*** 35,41 ****
  	ARG_X,
  	ARG_Y,
  	ARG_WIDTH,
! 	ARG_HEIGHT,
  };
  
  
--- 35,41 ----
  	ARG_X,
  	ARG_Y,
  	ARG_WIDTH,
! 	ARG_HEIGHT
  };
  
  
diff -crN ./gnome-games/mahjongg/mahjongg.c /gestconf/project/GNOME_ACL/GNOME/build/sh_build_GNOME/src/./gnome-games/mahjongg/mahjongg.c
*** ./gnome-games/mahjongg/mahjongg.c	Tue Feb 25 11:35:43 2003
--- /gestconf/project/GNOME_ACL/GNOME/build/sh_build_GNOME/src/./gnome-games/mahjongg/mahjongg.c	Tue Jul  8 17:55:55 2003
***************
*** 471,477 ****
  	change_tiles();
  	g_free (bg_tmp);
  	gnome_canvas_update_now(GNOME_CANVAS(canvas));
! 	//FIXME apply in the GUI
  }
  
  static void
--- 471,477 ----
  	change_tiles();
  	g_free (bg_tmp);
  	gnome_canvas_update_now(GNOME_CANVAS(canvas));
! 	/* FIXME apply in the GUI */
  }
  
  static void
***************
*** 508,514 ****
  	change_tiles();
  	g_free (tile_tmp);
  	gnome_canvas_update_now(GNOME_CANVAS(canvas));
! 	//FIXME apply in the GUI
  }
  
  void
--- 508,514 ----
  	change_tiles();
  	g_free (tile_tmp);
  	gnome_canvas_update_now(GNOME_CANVAS(canvas));
! 	/* FIXME apply in the GUI */
  }
  
  void
